Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface PolygonSymbolizer

All Superinterfaces:
  Cloneable, GraphicStyle, LineSymbolizer

    public interface PolygonSymbolizer

extends LineSymbolizer

Encapsulates the style data applicable to `Graphic`s that are of type Polygon in the sense of SLD (OGC 02-070).

Field Summary
`static Color` | `DEFAULT_FILL_BACKGROUND_COLOR` Default fill background color value.
`static Color` | `DEFAULT_FILL_COLOR` Default fill color value.
`static float[]` | `DEFAULT_FILL_GRADIENT_POINTS` Default fill gradient points value.
`static float` | `DEFAULT_FILL_OPACITY` Default fill opacity value.
`static FillPattern` | `DEFAULT_FILL_PATTERN` Default fill pattern value.
`static FillStyle` | `DEFAULT_FILL_STYLE` Default fill style value.

Fields inherited from interface LineSymbolizer
`DEFAULT_STROKE_BEGIN_ARROW_STYLE, DEFAULT_STROKE_DASH_ARRAY, DEFAULT_STROKE_DASH_OFFSET, DEFAULT_STROKE_END_ARROW_STYLE, DEFAULT_STROKE_FILL_BACKGROUND_COLOR, DEFAULT_STROKE_FILL_COLOR, DEFAULT_STROKE_FILL_GRADIENT_POINTS, DEFAULT_STROKE_FILL_OPACITY, DEFAULT_STROKE_FILL_PATTERN, DEFAULT_STROKE_FILL_STYLE, DEFAULT_STROKE_LINE_CAP, DEFAULT_STROKE_LINE_GAP, DEFAULT_STROKE_LINE_JOIN, DEFAULT_STROKE_LINE_PATTERN, DEFAULT_STROKE_LINE_STYLE, DEFAULT_STROKE_OPACITY, DEFAULT_STROKE_WIDTH`

Method Summary
`Color` | `getFillBackgroundColor()` Returns the fill background color value.
`Color` | `getFillColor()` Returns the fill color rgb value.
`float[]` | `getFillGradientPoints()` Returns the fill gradient points value.
`float` | `getFillOpacity()` Returns the fill opacity value.
`FillPattern` | `getFillPattern()` Returns the fill pattern value.
`FillStyle` | `getFillStyle()` Returns the fill style value.
`void` | `setFillBackgroundColor(Color fillBackgroundColor)` Sets the fill background color value.
`void` | `setFillColor(Color fillColor)` Sets the fill color rgb value.
`void` | `setFillGradientPoints(float[] fillGradientPoints)` Sets the fill gradient points value.
`void` | `setFillOpacity(float fillOpacity)` Sets the fill opacity value.
`void` | `setFillPattern(FillPattern fillPattern)` Sets the fill pattern value.
`void` | `setFillStyle(FillStyle fillStyle)` Sets the fill style value.

Methods inherited from interface LineSymbolizer
`getStrokeBeginArrowStyle, getStrokeColor, getStrokeDashArray, getStrokeDashOffset, getStrokeEndArrowStyle, getStrokeFillBackgroundColor, getStrokeFillColor, getStrokeFillGradientPoints, getStrokeFillOpacity, getStrokeFillPattern, getStrokeFillStyle, getStrokeLineCap, getStrokeLineGap, getStrokeLineJoin, getStrokeLinePattern, getStrokeLineStyle, getStrokeOpacity, getStrokeWidth, setStrokeBeginArrowStyle, setStrokeColor, setStrokeDashArray, setStrokeDashOffset, setStrokeEndArrowStyle, setStrokeFillBackgroundColor, setStrokeFillColor, setStrokeFillGradientPoints, setStrokeFillOpacity, setStrokeFillPattern, setStrokeFillStyle, setStrokeLineCap, setStrokeLineGap, setStrokeLineJoin, setStrokeLinePattern, setStrokeLineStyle, setStrokeOpacity, setStrokeWidth`

Methods inherited from interface GraphicStyle
`addGraphicStyleListener, clone, getImplHint, removeGraphicStyleListener, setImplHint, setPropertiesFrom`

Field Detail

### DEFAULT_FILL_COLOR

    static final Color DEFAULT_FILL_COLOR

  Default fill color value.

### DEFAULT_FILL_BACKGROUND_COLOR

    static final Color DEFAULT_FILL_BACKGROUND_COLOR

  Default fill background color value.

### DEFAULT_FILL_GRADIENT_POINTS

    static final float[] DEFAULT_FILL_GRADIENT_POINTS

  Default fill gradient points value.

### DEFAULT_FILL_OPACITY

    static final float DEFAULT_FILL_OPACITY

  Default fill opacity value.

  See Also:
    Constant Field Values

### DEFAULT_FILL_PATTERN

    static final FillPattern DEFAULT_FILL_PATTERN

  Default fill pattern value.

### DEFAULT_FILL_STYLE

    static final FillStyle DEFAULT_FILL_STYLE

  Default fill style value.

Method Detail

### getFillColor

    Color getFillColor()

  Returns the fill color rgb value.

  Returns:
    the fill color value.

### setFillColor

    void setFillColor(Color fillColor)

  Sets the fill color rgb value. Do not use the `Color` alpha channel to set fill opacity; use `setFillOpacity(float)` instead.

  Parameters:
    `fillColor` - the fill color value.

### getFillBackgroundColor

    Color getFillBackgroundColor()

  Returns the fill background color value.

  Returns:
    the fill background color value.

### setFillBackgroundColor

    void setFillBackgroundColor(Color fillBackgroundColor)

  Sets the fill background color value.

  Parameters:
    `fillBackgroundColor` - the fill background color value.

### getFillGradientPoints

    float[] getFillGradientPoints()

  Returns the fill gradient points value.

  Returns:
    the fill gradient points value.

### setFillGradientPoints

    void setFillGradientPoints(float[] fillGradientPoints)

  Sets the fill gradient points value.

  Parameters:
    `fillGradientPoints` - the fill gradient points value.

### getFillOpacity

    float getFillOpacity()

  Returns the fill opacity value.

  Returns:
    the fill opacity value.

### setFillOpacity

    void setFillOpacity(float fillOpacity)

  Sets the fill opacity value. If semi-transparency is specified in both this attribute and the alpha value of the fill color, the alpha channel value should be ignored.

  Parameters:
    `fillOpacity` - the fill opacity value.

### getFillPattern

    FillPattern getFillPattern()

  Returns the fill pattern value.

  Returns:
    the fill pattern value.

### setFillPattern

    void setFillPattern(FillPattern fillPattern)

  Sets the fill pattern value.

  Parameters:
    `fillPattern` - the fill pattern value.

### getFillStyle

    FillStyle getFillStyle()

  Returns the fill style value.

  Returns:
    the fill style value.

### setFillStyle

    void setFillStyle(FillStyle fillStyle)

  Sets the fill style value.

  Parameters:
    `fillStyle` - the fill style value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.